summaryrefslogtreecommitdiff
path: root/bg1/install-patch-totsc-uk.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bg1/install-patch-totsc-uk.sh')
-rwxr-xr-xbg1/install-patch-totsc-uk.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/bg1/install-patch-totsc-uk.sh b/bg1/install-patch-totsc-uk.sh
index 87c93d7..10fc8f0 100755
--- a/bg1/install-patch-totsc-uk.sh
+++ b/bg1/install-patch-totsc-uk.sh
@@ -14,7 +14,14 @@
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
-# BG1 TOTSC official UK patch
+# BG1 TOTSC official UK patch v1.3.5512
+#
+# info : http://www.planetbaldursgate.com/bg/media/files/patches/TotSC5512Readme.txt
+# size : 6.1 MB
+# date : 8/3/99
+
+patch_url="http://downloads.bioware.com/baldursgate1/BGTalesUK5512.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
@@ -26,9 +33,9 @@ checkforbin cabextract unshield wget
setuptmp
-getpatch http://downloads.bioware.com/baldursgate1/BGTalesUK5512.exe
+getpatch $patch_url
-cabextract -L "${TMPDIR}/BGTalesUK5512.exe" -d "$TMPDIR" || diesoftly
+cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
cp -R "${TMPDIR}/minimumdata/"* "$TARGETDIR" || diesoftly